# CapacityContract

The CapacityContract is the entity to model a contract of a purchase of certain amount of scheduled capacity.

## Get a capacityContract

 - [GET /capacityContract/{id}](https://docs.transportial.com/apis/capacitycontract/get:capacitycontract.md): Get a capacityContract by id

## Delete capacityContract

 - [DELETE /capacityContract/{id}](https://docs.transportial.com/apis/capacitycontract/delete:capacitycontract.md): Delete a new capacityContract

## Update a capacityContract

 - [PUT /capacityContract](https://docs.transportial.com/apis/capacitycontract/update:capacitycontract.md): Update a capacityContract specified by id

## Create capacityContract

 - [POST /capacityContract](https://docs.transportial.com/apis/capacitycontract/create:capacitycontract.md): Create a new capacityContract for a specified scheduledCapacity by id.

## Get a capacityContracts

 - [GET /capacity/contracts/{offset}/{amount}](https://docs.transportial.com/apis/capacitycontract/get:capacitycontracts.md): Get a list capacityContracts from offset, and of given amount

## Search capacity contracts

 - [POST /capacity/contracts/{offset}/{amount}](https://docs.transportial.com/apis/capacitycontract/search:capacitycontracts.md): Get a list capacityContracts from offset, and of given amount

## Create capacityContract

 - [POST /transportOrder/{id}/capacityContract](https://docs.transportial.com/apis/capacitycontract/create:capacitycontract_1.md): Create a new capacityContract for a specified scheduledCapacity by id.

